
Foreman - Bug #403

Query interface does not find out classes assigned via hostgroup

10/08/2010 12:24 PM - Bearnard Hibbins

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When querying the /hosts/query interface with class=foo a 404 is returned when the class exists within a hostgroup and not directly

within the host definition.

History

#1 - 11/09/2010 08:13 AM - Ohad Levy

- Category set to 19

- Target version set to 0.2

#2 - 01/24/2011 03:35 AM - Ohad Levy

- Assignee set to Paul Kelly

- Target version deleted (0.2)

#3 - 04/11/2011 07:37 AM - Ohad Levy

- Assignee changed from Paul Kelly to Ohad Levy

it now possible (since #719) to use the rest API to achieve the same.

for example:

http://foreman/hosts?search=class+%3D+common&format=json (or yaml)

would yield the current result.

#4 - 01/15/2012 10:36 AM - Ohad Levy

- Status changed from New to Rejected

- Assignee deleted (Ohad Levy)

as this is available via the new api / cli, the older query interface would be depreciated.

#5 - 10/16/2018 01:33 PM - Tomer Brisker

- Category changed from 19 to Search
